play.data.parsing

## Class TempFilePlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.data.parsing.TempFilePlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class TempFilePlugin
      extends PlayPlugin

  Creates temporary folders for file parsing, and deletes it after request completion.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<java.io.File>` | `tempFolder`

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempFilePlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File` | `createTempFolder()`
    `void` | `onInvocationSuccess()`

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onConfigurationRead, onEvent, onInvocationException, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tempFolder

          public static final java.lang.ThreadLocal<java.io.File> tempFolder

  - ### Constructor Detail

    - #### TempFilePlugin

          public TempFilePlugin()

  - ### Method Detail

    - #### createTempFolder

          public static java.io.File createTempFolder()

    - #### onInvocationSuccess

          public void onInvocationSuccess()

      Overrides:
        `onInvocationSuccess` in class `PlayPlugin`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly